org.eclipse.emf.compare.ide.ui.internal.preferences

## Class EMFCompareUIPreferencesInitializer

- java.lang.Object
- - org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
  - - org.eclipse.emf.compare.ide.ui.internal.preferences.EMFCompareUIPreferencesInitializer

    public class EMFCompareUIPreferencesInitializer
    extends org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer

This will be used to initialize all of our UI preferences to their default.

### Constructor Summary

Constructors
Constructor and Description
`EMFCompareUIPreferencesInitializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initializeDefaultPreferences()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFCompareUIPreferencesInitializer

    public EMFCompareUIPreferencesInitializer()

### Method Detail

#### initializeDefaultPreferences

    public void initializeDefaultPreferences()

Specified by:
  `initializeDefaultPreferences` in class `org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer`